using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace UWLib.Migrations
{
    /// <inheritdoc />
    public partial class ScrapedLinks : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "ScrapedLinks",
                columns: table => new
                {
                    Url = table.Column<string>(type: "TEXT", nullable: false),
                    LastScrape = table.Column<DateTime>(type: "TEXT", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_ScrapedLinks", x => x.Url);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "ScrapedLinks");
        }
    }
}
